Update participant
Roles
Analytics Events
/v1/ecosystems/{ecosystemId}/participants/{participantId}Updates a participant in the requested ecosystem by its ID.
Analytic events
- ECOSYSTEM_PARTICIPANT_UPDATE_START
- ECOSYSTEM_PARTICIPANT_UPDATE_SUCCESS
- ECOSYSTEM_PARTICIPANT_UPDATE_FAIL
Authorization
bearerAuth In: header
Path Parameters
The UUID of the ecosystem
uuidThe UUID of the participant
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/ecosystems/497f6eca-6276-4993-bfeb-53cbbbba6f08/participants/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "identifiers": {} }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "ecosystemId": "e2e92b49-5a4f-4804-83c0-325e709d9dcd", "name": "string", "identifiers": { "web-semantic": "string", "compact-semantic": "string", "compact": "string", "mobile": [ { "certificatePem": "string", "status": "Active", "docTypes": [ "string" ] } ] }, "isIssuer": false, "isVerifier": false, "isIssuerConstrained": true, "isVerifierConstrained": true, "status": "Active", "country": "string", "stateOrProvince": "string", "organizationAddress": "string", "organizationPhoneNumber": "string"}How would you rate this page?
Retrieve participant GET
Retrieves a participant from the requested ecosystem by its ID. ### **Analytic events** * ECOSYSTEM_PARTICIPANT_RETRIEVE_START * ECOSYSTEM_PARTICIPANT_RETRIEVE_SUCCESS * ECOSYSTEM_PARTICIPANT_RETRIEVE_FAIL
Delete participant DELETE
Deletes a participant in the requested ecosystem by its ID. ### **Analytic events** * ECOSYSTEM_PARTICIPANT_DELETE_START * ECOSYSTEM_PARTICIPANT_DELETE_SUCCESS * ECOSYSTEM_PARTICIPANT_DELETE_FAIL